<?php
	/**
		* @package     Joomla.Site
		* @subpackage  mod_articles_news
		* @author	   web-eau.net
		* @copyright   (C) 2006 Open Source Matters, Inc. <https://www.joomla.org>
		* @license     GNU General Public License version 2 or later; see LICENSE.txt
	*/
	
	defined('_JEXEC') or die;
	
	use Joomla\CMS\Helper\ModuleHelper;
	
	if (!$list)
	{
		return;
	}
	
?>

<div class="projects-horizontal mx-5">
	<div class="container">
		
		<div class="text-center intro">
			<h3 class="display-4">Projects </h3>
			<p>Nunc luctus in metus eget fringilla. Aliquam sed justo ligula. Vestibulum nibh erat, pellentesque ut laoreet vitae. </p>
		</div>
		
		<div class="row projects">				
			
			<?php foreach ($list as $item) : ?>
			
			<div class="col-md-6 p-4">  
				<div class="row">
					<div class="col-md-12 col-lg-5">
						
						<!-- Intro image -->
						<?php
							$article_images  = json_decode($item->images);
							$article_image   = '';
							$article_image_alt   = '';
							if(isset($article_images->image_intro) && !empty($article_images->image_intro)) {
								$article_image  = $article_images->image_intro;
								$article_image_alt  = $article_images->image_intro_alt;
							}?> 
							<a href="<?php echo $item->link; ?>">
								<img class="img-fluid" src="<?php echo $article_image; ?>" alt="<?php echo $article_image_alt; ?>" >
							</a>
							
					</div>
					
					<div class="col">									
						<h3 class="name">								
							<a class="mod-articles-category-title <?php echo $item->active; ?>" href="<?php echo $item->link; ?>"><?php echo $item->title; ?></a>
						</h3>
						<?php if (!$params->get('intro_only')) : ?>
						<p class="description"><?php echo $item->afterDisplayTitle; ?></p>
						<?php endif; ?>
						
						<?php echo $item->beforeDisplayContent; ?>
						
						<?php if ($params->get('show_introtext', 1)) : ?>
						<p class="description"><?php echo $item->introtext; ?></p>
						<?php endif; ?>
						
						<?php echo $item->afterDisplayContent; ?>	
					</div>
					
				</div>
			</div>	
			<?php endforeach; ?>
			
		</div>
	</div>
</div>
